import { getModule, Module, MutationAction, VuexModule } from 'vuex-module-decorators';
import store from '@/store';
import http from '@/utils/request';
import { url } from '@/utils/url';
import { session } from '@/store/modules/session';
@Module({
  namespaced: true,
  dynamic: true,
  store,
  name: 'page.mes.EmptyEflux',
})
export class EmptyEflux extends VuexModule {
  
  SubmitCode: any = '';
  //空筛回流提交
  @MutationAction
  async transferWhiteBilletPlan(params: any) {
    const result: any = await http.post(url.lanjumes.product.transferWhiteBilletPlan, params);
    const SubmitCode = result;
    return { SubmitCode };
  }
}

export default getModule(EmptyEflux);
